Bug 1332704 - python2-gnupg does not seem to provide python-gnupg
Summary: python2-gnupg does not seem to provide python-gnupg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-gnupg
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1332215
TreeView+ depends on / blocked
 
Reported: 2016-05-03 20:48 UTC by Randy Barlow
Modified: 2016-05-24 05:48 UTC (History)
2 users (show)

Fixed In Version: python-gnupg-0.3.8-2.fc24 python-gnupg-0.3.8-2.fc23 python-gnupg-0.3.8-2.fc22 python-gnupg-0.3.8-2.el7 python-gnupg-0.3.8-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-10 11:47:34 UTC


Attachments (Terms of Use)

Description Randy Barlow 2016-05-03 20:48:00 UTC
I started getting e-mails that one of my packages that depended on python-gnupg had unmet dependencies in Rawhide[0]. I decided to fix it by depending on python2-gnupg (which is fine), but I thought it would be worth reporting here. dnf doesn't seem to think anything provides python-gnupg in Rawhide:


$ dnf provides python2-gnupg
Last metadata expiration check: 0:44:51 ago on Tue May  3 16:02:41 2016.
python2-gnupg-0.3.8-1.fc25.noarch : A wrapper for the Gnu Privacy Guard (GPG or GnuPG)
Repo        : rawhide

$ dnf provides python-gnupg
Last metadata expiration check: 0:44:55 ago on Tue May  3 16:02:41 2016.
Error: No Matches found


I'm not sure why this is happening, as a cursory glance at your spec file seemed like everything was correct.

[0] https://bugzilla.redhat.com/show_bug.cgi?id=1332215

Comment 1 Fedora Update System 2016-05-05 09:10:44 UTC
python-gnupg-0.3.8-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ae97f86d0c

Comment 2 Fedora Update System 2016-05-05 09:10:56 UTC
python-gnupg-0.3.8-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-23388517c5

Comment 3 Fabio Alessandro Locati 2016-05-05 09:11:00 UTC
Hi Randy,

thanks a lot for noticing and pointing it out :). In version 0.3.8-2 should be fixed :)

Comment 4 Fedora Update System 2016-05-05 09:11:04 UTC
python-gnupg-0.3.8-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-37b917c5c9

Comment 5 Fedora Update System 2016-05-05 09:11:16 UTC
python-gnupg-0.3.8-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3dfb669b4

Comment 6 Fedora Update System 2016-05-05 09:11:24 UTC
python-gnupg-0.3.8-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ea7044142

Comment 7 Fedora Update System 2016-05-06 11:28:51 UTC
python-gnupg-0.3.8-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-23388517c5

Comment 8 Fedora Update System 2016-05-06 20:52:08 UTC
python-gnupg-0.3.8-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ea7044142

Comment 9 Fedora Update System 2016-05-06 20:57:13 UTC
python-gnupg-0.3.8-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3dfb669b4

Comment 10 Fedora Update System 2016-05-07 00:21:50 UTC
python-gnupg-0.3.8-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ae97f86d0c

Comment 11 Fedora Update System 2016-05-07 00:30:40 UTC
python-gnupg-0.3.8-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-37b917c5c9

Comment 12 Randy Barlow 2016-05-09 14:36:03 UTC
Strangely, my pulp-ostree update received an error[0] related to this after I pushed it to stable in Bodhi:

"nothing provides python2-gnupg needed by pulp-ostree-plugins-1.1.0-2.fc24.noarch"

However, on my f24 box I do seem to have things sorted out:


[rbarlow@maxwell ~]$ dnf provides python2-gnupg
Last metadata expiration check: 0:00:08 ago on Mon May  9 10:29:47 2016.
python2-gnupg-0.3.8-1.fc24.noarch : A wrapper for the Gnu Privacy Guard (GPG or GnuPG)
Repo        : @System

python2-gnupg-0.3.8-2.fc24.noarch : A wrapper for the Gnu Privacy Guard (GPG or GnuPG)
Repo        : updates-testing

[rbarlow@maxwell ~]$ dnf provides python-gnupg
Last metadata expiration check: 0:01:42 ago on Mon May  9 10:29:47 2016.
python-gnupg-0.3.7-3.fc24.noarch : Python module for GnuPG
Repo        : fedora

python2-gnupg-0.3.8-2.fc24.noarch : A wrapper for the Gnu Privacy Guard (GPG or GnuPG)
Repo        : updates-testing


This doesn't make any sense to me, does it make any sense to you? Should we assume that something went wrong in Taskotron?


[0] https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c6b7520d7

Comment 13 Randy Barlow 2016-05-09 14:43:16 UTC
Nevermind my most recent comment - the first dnf provides there shows that python2-gnupg is only in updates-testing which is what the Bodhi complaint is about. Sorry for the noise, I haven't had my daily caffeine dose yet.

Comment 14 Fedora Update System 2016-05-10 11:47:27 UTC
python-gnupg-0.3.8-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-15 05:30:59 UTC
python-gnupg-0.3.8-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-05-16 14:54:20 UTC
python-gnupg-0.3.8-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-23 22:48:11 UTC
python-gnupg-0.3.8-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-24 05:48:41 UTC
python-gnupg-0.3.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.